This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309618 - python-meld3: Provide a Python 3 subpackage
python-meld3: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-meld3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-18 05:11 EST by Petr Viktorin
Modified: 2016-04-21 04:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-meld3-1.0.2-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-20 12:17:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2016-02-18 05:11:34 EST
Upstream (in version 1.0.2), this software supports Python 3. Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:25:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 09:23:20 EDT
Hello Nils,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Nils Philippsen 2016-04-20 11:25:54 EDT
Current meld3 releases seem to support Python 3 (>= 3.2) nicely, so I don't think I'll need help -- thanks anyway! I'll upgrade the package to 1.0.2 in Rawhide, in which I'll add a subpackage for Python 3.
Comment 4 Nils Philippsen 2016-04-20 11:26:41 EDT
NB: This probably requires that supervisor is updated, too.
Comment 5 Nils Philippsen 2016-04-20 12:46:39 EDT
Building supervisor-3.2.3-1.fc25 here: http://koji.fedoraproject.org/koji/taskinfo?taskID=13736079
Comment 6 Petr Viktorin 2016-04-21 04:12:20 EDT
Thank you!

Note You need to log in before you can comment on or make changes to this bug.